Subject: Re: Problem to link with libreadline on Linux

From: Jan Wielemaker <[email-masked]>
Date: Mon, 10 Jan 2000 14:20:46 +0100

> First of all: I know, the problem I have is well-known, it is
> even mentioned in the first file you open when you get the
> linux sources (README.linux) :

Maybe I should delete this readme.  There should be no problem compiling
on any recent Unix systems with readline installed without any special
methods.  Both readline and SWI-Prolog installation have matured enough
for that.

> Exactly as predicted, SWI-Prolog "compiles fine" (after configure,
> make, make install), but the readline functions "run lousy": The
> up-arrow key just tells me "^[[A", and Control-P tells me "^P".

This smells like a more general running programs in screen mode.  For
example, does `vi' run fine on this terminal?  How about `less'?  Most
likely causes are wrong setting of TERM variable or not probably
installed termcap package.

	Regards --- Jan